<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: ehrhart.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>ehrhart.h</h1><a href="ehrhart_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef _ehrhart_H_</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define _ehrhart_H_</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span>
<a name="l00004"></a>00004 <span class="comment">/*********************** User defines ******************************/</span>
<a name="l00005"></a>00005 
<a name="l00006"></a>00006 <span class="comment">/* Print all overflow warnings, or just one per domain             */</span>
<a name="l00007"></a>00007 <span class="comment">/* #define ALL_OVERFLOW_WARNINGS */</span>
<a name="l00008"></a>00008 
<a name="l00009"></a>00009 <span class="comment">/******************* End of user defines ***************************/</span>
<a name="l00010"></a>00010 
<a name="l00011"></a>00011 
<a name="l00012"></a>00012 <span class="preprocessor">#ifndef ALL_OVERFLOW_WARNINGS</span>
<a name="l00013"></a>00013 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="ehrhart_8c.html#b969ed82da60f7f4fe87c5741311606b">overflow_warning_flag</a>;
<a name="l00014"></a>00014 <span class="preprocessor">#endif</span>
<a name="l00015"></a>00015 <span class="preprocessor"></span>
<a name="l00016"></a>00016 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00017"></a>00017 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00018"></a>00018 <span class="preprocessor">#endif</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span>
<a name="l00020"></a>00020 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="ehrhart_8c.html#dfc5a48cdab1ce4848c8f03a2707dcf9" title="PROCEDURES TO COMPUTE ENUMERATION.">count_points</a> ( <span class="keywordtype">int</span> pos, <a class="code" href="structpolyhedron.html">Polyhedron</a> *P, Value *context, Value *res );
<a name="l00021"></a>00021 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="ehrhart_8c.html#62b0031a3ec0fb5e8c88bcf291c006a0" title="adds one evalue to evalue &amp;#39;res.">eadd</a> ( <a class="code" href="struct__evalue.html">evalue</a> *e1, <a class="code" href="struct__evalue.html">evalue</a> *res );
<a name="l00022"></a>00022 <span class="keyword">extern</span> <a class="code" href="struct__enode.html">enode</a> *<a class="code" href="ehrhart_8c.html#c94c9f3a408511c6ea5defdc47eb6563">ecopy</a> ( <a class="code" href="struct__enode.html">enode</a> *e );
<a name="l00023"></a>00023 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="ehrhart_8c.html#197ef6aec479254f610d450de8890d02" title="computes the inner product of two vectors.">edot</a> ( <a class="code" href="struct__enode.html">enode</a> *v1, <a class="code" href="struct__enode.html">enode</a> *v2, <a class="code" href="struct__evalue.html">evalue</a> *res );
<a name="l00024"></a>00024 <span class="keyword">extern</span> <a class="code" href="struct__enode.html">enode</a> *<a class="code" href="ehrhart_8c.html#7acd3dfb7d74bf5551bce6f31f7189bc" title="EHRHART POLYNOMIAL SYMBOLIC ALGEBRA SYSTEM.">new_enode</a>( <a class="code" href="types_8h.html#01e5f42033d0f34c1a182a25a7409fed">enode_type</a> type,<span class="keywordtype">int</span> <a class="code" href="vector_8c.html#439227feff9d7f55384e8780cfc2eb82">size</a>, <span class="keywordtype">int</span> pos );
<a name="l00025"></a>00025 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="ehrhart_8c.html#96434ed8279f7999773fa3343cfe98b8" title="releases all memory referenced by e.">free_evalue_refs</a> ( <a class="code" href="struct__evalue.html">evalue</a> *e );
<a name="l00026"></a>00026 <span class="keyword">extern</span> <a class="code" href="struct__enumeration.html">Enumeration</a> *<a class="code" href="ehrhart_8c.html#3c3e442b1d2c924f03f02f9e9283141a" title="Procedure to count points in a parameterized polytope.">Polyhedron_Enumerate</a>(<a class="code" href="structpolyhedron.html">Polyhedron</a> *P, <a class="code" href="structpolyhedron.html">Polyhedron</a> *C,
<a name="l00027"></a>00027                                          <span class="keywordtype">unsigned</span> <a class="code" href="verif__ehrhart_8c.html#89fd83aa168651629c012d8655635588">MAXRAYS</a>, <span class="keyword">const</span> <span class="keywordtype">char</span> **pname);
<a name="l00028"></a>00028 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="ehrhart_8c.html#84dff5d1187317811e98a92ac8a37fa3" title="prints the enode to DST">print_enode</a>(FILE *DST, <a class="code" href="struct__enode.html">enode</a> *<a class="code" href="vector_8c.html#a45b2e3dcf291527c5aedc420819adfc">p</a>, <span class="keyword">const</span> <span class="keywordtype">char</span> **pname);
<a name="l00029"></a>00029 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="ehrhart_8c.html#99718adf05e065181f35f5ca847f94b0">print_evalue</a>(FILE *DST, <a class="code" href="struct__evalue.html">evalue</a> *e, <span class="keyword">const</span> <span class="keywordtype">char</span> **pname);
<a name="l00030"></a>00030 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="ehrhart_8c.html#e02ef07ca7d9de519ffe46a89e941bb8">reduce_evalue</a> (<a class="code" href="struct__evalue.html">evalue</a> *e);
<a name="l00031"></a>00031 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="ehrhart_8c.html#eaadcf4c2404d688eb1443486ad8becb">Enumeration_Free</a>(<a class="code" href="struct__enumeration.html">Enumeration</a> *en);
<a name="l00032"></a>00032 <span class="keyword">extern</span> <a class="code" href="struct__enumeration.html">Enumeration</a> *<a class="code" href="ehrhart_8c.html#0d3e40195e67384f3655c772212ed1d5" title="Computes the approximation of the Ehrhart polynomial of a polyhedron (implicit form...">Ehrhart_Quick_Apx</a>(<a class="code" href="structmatrix.html">Matrix</a> * M, <a class="code" href="structmatrix.html">Matrix</a> * C, 
<a name="l00033"></a>00033                                       <a class="code" href="structmatrix.html">Matrix</a> ** Validity_Lattice, 
<a name="l00034"></a>00034                                       <span class="keywordtype">unsigned</span> <a class="code" href="verif__ehrhart_8c.html#89fd83aa168651629c012d8655635588">MAXRAYS</a>);
<a name="l00035"></a>00035 <span class="keyword">extern</span> <a class="code" href="struct__enumeration.html">Enumeration</a> * <a class="code" href="ehrhart_8c.html#b9d946f486657c1fde2ff63537f004fb" title="returns a constant Ehrhart polynomial whose value is zero for any value of the parameters...">Enumeration_zero</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> nbParms, 
<a name="l00036"></a>00036                                       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="testCompressParms_8c.html#508eb31b6faa4939e1c32adaef41b8c8">maxRays</a>);
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00039"></a>00039 <span class="preprocessor"></span>}
<a name="l00040"></a>00040 <span class="preprocessor">#endif</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span>
<a name="l00042"></a>00042 <span class="preprocessor">#endif </span><span class="comment">/* _ehrhart_H_ */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:59 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
